import './assets/main.css'

import { createApp } from 'vue';
import App from './App.vue';
import PrimeVue from 'primevue/config';
import 'primeicons/primeicons.css'
import Aura from '@primevue/themes/aura';
import router from './router';
import Ripple from "primevue/ripple";
import ToastService from 'primevue/toastservice'

const app = createApp(App);
app.use(router);
app.use(ToastService);
app.directive('ripple', Ripple);
app.use(PrimeVue, {
    theme: {
        preset: Aura
    }
});

app.mount('#app');